Bug 460627 - Spacewalk should play nice with environments where users and groups already exist, in centralised user identity service
Spacewalk should play nice with environments where users and groups already e...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.1
All Linux
high Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-08-29 03:46 EDT by Jan Pazdziora
Modified: 2009-09-17 03:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-08-29 03:46:37 EDT
Description of problem:

A common enterprise environment will have a centralised user identity service. Thus users and groups that the Spacewalk packages need may well already exist in the centralised auth database. Some Spacewalk packages do not take this schenario into account.

How reproducible:

Deterministic.

Steps to Reproduce:

1. Install Spacewalk on a host that is configured to use a centralised authentication service where the oracle, apache, tomcat5, nocpulse, and nocops users and their groups already exist.
2. Run spacewalk-setup.

Actual results:

Error message like "The user 'apache' must be locally defined.

Expected results:

No error during package installation nor during spacewalk-setup.

Additional info:

This is related to Satellite bug 391771.
Comment 1 Jan Pazdziora 2008-08-29 04:37:47 EDT
Commits e720a6ac7ebc50f28b74ff5d1a655eb127acec1c and 17d4875e2663c2b948ce061820c57a25aa1ac09c fix spacewalk-setup.
Comment 2 Jan Pazdziora 2008-08-29 05:11:31 EDT
Commits 415f85c78228ed9491f36ca5bdb1d7341d7721a8 and 87734e82b8fc4cf2c0fe4087a2e780db65a6221f fix NPusers.
Comment 3 Jan Pazdziora 2008-11-10 08:52:45 EST
I'm pretty sure the code got to Spacewalk 0.3's packages, in one form or another (there were more changes to the code later on). Moving ON_QA.
Comment 4 Miroslav Suchý 2009-09-17 03:01:06 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.